Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1346858 - 14 snapshots per volume in Aplo
Summary: 14 snapshots per volume in Aplo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: CNS 3.4
Assignee: Michael Adam
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1385246
TreeView+ depends on / blocked
 
Reported: 2016-06-15 13:23 UTC by Anoop
Modified: 2017-01-18 21:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1359782 (view as bug list)
Environment:
Last Closed: 2017-01-18 21:55:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github heketi heketi issues 446 None None None 2016-08-03 03:19:36 UTC
Red Hat Product Errata RHEA-2017:0148 normal SHIPPED_LIVE heketi bug fix and enhancement update 2017-01-19 02:53:24 UTC

Description Anoop 2016-06-15 13:23:34 UTC
Need to put a check in heketi to ensure that only 14 snapshots are allowed on a volume.

Comment 2 Luis Pabón 2016-06-15 21:03:56 UTC
This cannot be done in Heketi. It does not have a snapshot API.

Comment 3 Luis Pabón 2016-06-15 21:07:47 UTC
I think this is instead going to be done with Documentation.  But are you asking for Heketi not to check, but instead send the following command:

gluster snapshot config [vol-name] [<snap-max-limit> <count>] [<snap-max-soft-limit> <percentage>] [force] 

Which sets the limit?

Comment 8 Luis Pabón 2016-07-07 02:45:41 UTC
https://github.com/heketi/heketi/issues/419

Comment 11 Bala Konda Reddy M 2016-07-22 09:32:51 UTC
Restricted the snapshots limit to 14 on a particular volume using the following command

gluster snapshot config [vol-name] [<snap-max-limit> <count>] [<snap-max-soft-limit> <percentage>] [force] 

[root@dhcp37-163 ~]# heketi-cli --version
heketi-cli 2.0.6

Once the soft limit reached throws the warning message like in the below

sh-4.2# gluster snapshot create snaplimit_13 vol_e7d26963ac1d4ecaa02f76b2c13ae>
snapshot create: success: Snap snaplimit_13_GMT-2016.07.22-00.41.07 created successfully
Warning: Soft-limit of volume (vol_e7d26963ac1d4ecaa02f76b2c13ae23a) is reached. Snapshot creation is not possible once hard-limit is reached.

sh-4.2# gluster snapshot create snaplimit_14 vol_e7d26963ac1d4ecaa02f76b2c13ae>
snapshot create: success: Snap snaplimit_14_GMT-2016.07.22-00.41.27 created successfully
Warning: Soft-limit of volume (vol_e7d26963ac1d4ecaa02f76b2c13ae23a) is reached. Snapshot creation is not possible once hard-limit is reached.


After 14 snapshots, tried to create another snapshot then it throws the following error

sh-4.2# gluster snapshot create snaplimit_15 vol_e7d26963ac1d4ecaa02f76b2c13ae>

snapshot create: failed: The number of existing snaps has reached the effective maximum limit of 14, for the volume (vol_e7d26963ac1d4ecaa02f76b2c13ae23a). Please delete few snapshots before taking further snapshots.
Snapshot command failed

Hence Marking it as Verfied

Comment 12 Bala Konda Reddy M 2016-07-24 05:03:23 UTC
How to set the snapshot limit from heketi

Comment 13 Luis Pabón 2016-07-24 05:42:15 UTC
It is set by Heketi automatically.  Issue is that the deploy-heketi template does not have the environment variable setting as the heketi template.

Heketi template: https://github.com/heketi/heketi/blob/master/extras/openshift/templates/heketi-template.json#L116

Deploy-heketi needs this setting also because it will allow the initial nodes added to the system to have 14 max snapshots.

Comment 14 Bala Konda Reddy M 2016-07-24 06:28:24 UTC
1.heketi-cli topology load --json=topology.json
2.Created a volume
3.To check the snapshot limit 
[root@dhcp37-163 ~]# oc rsh glusterfs-dc-dhcp37-191.lab.eng.blr.redhat.com-1-br4fq 
sh-4.2# 
sh-4.2# gluster snapshot config

Snapshot System Configuration:
snap-max-hard-limit : 256
snap-max-soft-limit : 90%
auto-delete : disable
activate-on-create : disable

Snapshot Volume Configuration:

Volume : heketidbstorage
snap-max-hard-limit : 256
Effective snap-max-hard-limit : 256
Effective snap-max-soft-limit : 230 (90%)

Volume : vol_8ee1cf4949dee37252dd9e88e99fa2a8
snap-max-hard-limit : 256
Effective snap-max-hard-limit : 256
Effective snap-max-soft-limit : 230 (90%)
sh-4.2# exit

Actual :
SNAPSHOT LIMIT is set in heketi template but it is not taking the configuration while loading the topology and still able to take more than 14 snapshots for a particular volume . In deploy-heketi template No snapshot limit is not set to 14.


Expected : Snapshots limit should 14 per volume in aplo. After 14 snapshot it should throw error like the limit is 14 only.

Comment 19 Luis Pabón 2016-10-05 21:46:27 UTC
Solved by https://github.com/heketi/heketi/issues/446

Comment 26 errata-xmlrpc 2017-01-18 21:55:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2017-0148.html


Note You need to log in before you can comment on or make changes to this bug.